Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Attributes | Properties | List of all members
Ofcas.Lk.Api.Client.Core.ReportItem Class Reference

ReportItem represents an available report. Available reports can be received with the method Project.GetReports. More...

## Public Attributes
int | Id => InfoInternal.Id
| The unique report id. The report id defines the type of print. Positive report ids are V7 reports. Every negative report id are V8 reports. V7 are old printouts without database logic. V8 uses databases structures in combination with List and Label. More...
string | Name => InfoInternal.Name
| The report name. More...
int | Rank => InfoInternal.Rank
| Specify the rank of the report in the list of reports. More...
bool | Favorite => InfoInternal.Favorite
| The report is a favorite. More...
ReportCategoryType | Category => InfoInternal.Category
| The report category. More...

## Properties
ReportItemInternal | InfoInternal`[get, set]`

## Detailed Description

ReportItem represents an available report. Available reports can be received with the method Project.GetReports.

## Member Data Documentation

## ◆ Category

ReportCategoryType Ofcas.Lk.Api.Client.Core.ReportItem.Category => InfoInternal.Category

The report category.

## ◆ Favorite

bool Ofcas.Lk.Api.Client.Core.ReportItem.Favorite => InfoInternal.Favorite

The report is a favorite.

## ◆ Id

int Ofcas.Lk.Api.Client.Core.ReportItem.Id => InfoInternal.Id

The unique report id. The report id defines the type of print. Positive report ids are V7 reports. Every negative report id are V8 reports. V7 are old printouts without database logic. V8 uses databases structures in combination with List and Label.

## ◆ Name

string Ofcas.Lk.Api.Client.Core.ReportItem.Name => InfoInternal.Name

The report name.

## ◆ Rank

int Ofcas.Lk.Api.Client.Core.ReportItem.Rank => InfoInternal.Rank

Specify the rank of the report in the list of reports.

The documentation for this class was generated from the following file:

- ReportItem.cs